Debian Bug report logs - #689474
debian-installer: garbage in /etc/network/interfaces

version graph

Package: netcfg; Maintainer for netcfg is Debian Install System Team <debian-boot@lists.debian.org>; Source for netcfg is src:netcfg.

Reported by: Robert Edmonds <edmonds@debian.org>

Date: Wed, 3 Oct 2012 04:33:02 UTC

Severity: important

Fixed in version netcfg/1.96

Done: Philipp Kern <pkern@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#689474; Package debian-installer. (Wed, 03 Oct 2012 04:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Edmonds <edmonds@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 03 Oct 2012 04:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Edmonds <edmonds@debian.org>
To: submit@bugs.debian.org
Subject: debian-installer: garbage in /etc/network/interfaces
Date: Wed, 3 Oct 2012 00:23:17 -0400
[Message part 1 (text/plain, inline)]
Package: debian-installer
Version: 20121003
Severity: normal

hi,

i've just done a wheezy install with this ISO image:

http://d-i.debian.org/daily-images/amd64/20121003-00:19/netboot/mini.iso
(md5sum 0848d57850dbcf6a758ceb0dfea7ac19)

everything seemed to go fine and on the first boot networking came up
successfully but somehow garbage has made it into the
/etc/network/interfaces file on the "dns-nameservers" line:

root@pao1ks1:~# grep dns-nameservers /etc/network/interfaces 
    dns-nameservers pao1ks1 .223 dev eth0 orpo /ɴ S�
root@pao1ks1:~# grep dns-nameservers /etc/network/interfaces | hd
00000000  09 64 6e 73 2d 6e 61 6d  65 73 65 72 76 65 72 73  |.dns-nameservers|
00000010  20 70 61 6f 31 6b 73 31  20 2e 32 32 33 20 64 65  | pao1ks1 .223 de|
00000020  76 20 65 74 68 30 20 6f  72 70 6f 20 2f c9 b4 35  |v eth0 orpo /..5|
00000030  7f 20 53 fc ff 7f 0a                              |. S....|
00000037
root@pao1ks1:~# 

(when i did the install i put in "8.8.8.8" for the DNS server and that
setting was written correctly to /etc/resolv.conf.)

i'd guess there's a buffer somewhere in netcfg that's not getting
properly filled.

-- 
Robert Edmonds
edmonds@debian.org
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'debian-installer' to 'netcfg'. Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. (Wed, 03 Oct 2012 05:15:06 GMT) Full text and rfc822 format available.

No longer marked as found in versions 20121003. Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. (Wed, 03 Oct 2012 05:15:07 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'normal' Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. (Wed, 03 Oct 2012 05:15:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#689474; Package netcfg. (Wed, 03 Oct 2012 06:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Edmonds <edmonds@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 03 Oct 2012 06:45:03 GMT) Full text and rfc822 format available.

Message #16 received at 689474@bugs.debian.org (full text, mbox):

From: Robert Edmonds <edmonds@debian.org>
To: 689474@bugs.debian.org
Subject: Re: debian-installer: garbage in /etc/network/interfaces
Date: Wed, 3 Oct 2012 02:34:06 -0400
[Message part 1 (text/plain, inline)]
Robert Edmonds wrote:
> (when i did the install i put in "8.8.8.8" for the DNS server and that
> setting was written correctly to /etc/resolv.conf.)

i guess i should also mention that i did static IPv4 network
configuration (no DHCP), and that there was an IPv6 router on the
network interface sending RA's at the time of the install.  i don't
remember if i looked at the interface config or not in the shell, but
it's possible that the network interface picked up an autoconf'd IPv6
address during the install.

-- 
Robert Edmonds
edmonds@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#689474; Package netcfg. (Wed, 03 Oct 2012 09:21:08 GMT) Full text and rfc822 format available.

Message #19 received at 689474@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Robert Edmonds <edmonds@debian.org>, 689474@bugs.debian.org
Subject: Re: Bug#689474: debian-installer: garbage in /etc/network/interfaces
Date: Wed, 3 Oct 2012 11:19:03 +0200
[Message part 1 (text/plain, inline)]
On Wed, Oct 03, 2012 at 02:34:06AM -0400, Robert Edmonds wrote:
> Robert Edmonds wrote:
> > (when i did the install i put in "8.8.8.8" for the DNS server and that
> > setting was written correctly to /etc/resolv.conf.)
> i guess i should also mention that i did static IPv4 network
> configuration (no DHCP), and that there was an IPv6 router on the
> network interface sending RA's at the time of the install.  i don't
> remember if i looked at the interface config or not in the shell, but
> it's possible that the network interface picked up an autoconf'd IPv6
> address during the install.

"at the time of the install" implies that things have changed. You can't run
rdisc6 on the interface by chance? (Part of ndisc6.)

Kind regards
Philipp Kern
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#689474; Package netcfg. (Wed, 03 Oct 2012 18:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Edmonds <edmonds@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 03 Oct 2012 18:21:03 GMT) Full text and rfc822 format available.

Message #24 received at 689474@bugs.debian.org (full text, mbox):

From: Robert Edmonds <edmonds@debian.org>
To: Philipp Kern <pkern@debian.org>, 689474@bugs.debian.org
Subject: Re: Bug#689474: debian-installer: garbage in /etc/network/interfaces
Date: Wed, 3 Oct 2012 14:19:37 -0400
Philipp Kern wrote:
> On Wed, Oct 03, 2012 at 02:34:06AM -0400, Robert Edmonds wrote:
> > Robert Edmonds wrote:
> > > (when i did the install i put in "8.8.8.8" for the DNS server and that
> > > setting was written correctly to /etc/resolv.conf.)
> > i guess i should also mention that i did static IPv4 network
> > configuration (no DHCP), and that there was an IPv6 router on the
> > network interface sending RA's at the time of the install.  i don't
> > remember if i looked at the interface config or not in the shell, but
> > it's possible that the network interface picked up an autoconf'd IPv6
> > address during the install.
> 
> "at the time of the install" implies that things have changed. You can't run
> rdisc6 on the interface by chance? (Part of ndisc6.)
> 
> Kind regards
> Philipp Kern

hi, philipp:

i think i might have been mistaken about that:

    Soliciting ff02::2 (ff02::2) on eth0...
    Timed out.
    Timed out.
    Timed out.
    No response.

here's what i found in /var/log/installer/syslog:

Oct  3 02:32:56 main-menu[329]: INFO: Menu item 'ethdetect' selected
Oct  3 02:32:56 net/hw-detect.hotplug: Detected hotpluggable network interface eth0
Oct  3 02:32:56 net/hw-detect.hotplug: Detected hotpluggable network interface eth1
Oct  3 02:32:56 net/hw-detect.hotplug: Detected hotpluggable network interface lo
Oct  3 02:32:56 apt-install: Queueing package udev for later installation
Oct  3 02:32:56 apt-install: Queueing package pciutils for later installation
Oct  3 02:32:56 apt-install: Queueing package usbutils for later installation
Oct  3 02:32:56 apt-install: Queueing package acpi for later installation
Oct  3 02:32:56 apt-install: Queueing package acpid for later installation
Oct  3 02:32:56 apt-install: Queueing package acpi-support-base for later installation
Oct  3 02:32:57 check-missing-firmware: /dev/.udev/firmware-missing does not exist, skipping
Oct  3 02:32:57 check-missing-firmware: /run/udev/firmware-missing does not exist, skipping
Oct  3 02:32:57 check-missing-firmware: no missing firmware in /dev/.udev/firmware-missing /run/udev/firmware-missing
Oct  3 02:32:57 kernel: [11351.605645] ADDRCONF(NETDEV_UP): eth1: link is not ready
Oct  3 02:32:58 kernel: [11351.834643] ADDRCONF(NETDEV_UP): eth0: link is not ready
Oct  3 02:32:59 check-missing-firmware: /dev/.udev/firmware-missing does not exist, skipping
Oct  3 02:32:59 check-missing-firmware: /run/udev/firmware-missing does not exist, skipping
Oct  3 02:32:59 check-missing-firmware: no missing firmware in /dev/.udev/firmware-missing /run/udev/firmware-missing
Oct  3 02:32:59 main-menu[329]: DEBUG: resolver (libc6-udeb): package doesn't exist (ignored)
Oct  3 02:33:02 main-menu[329]: INFO: Menu item 'netcfg' selected
Oct  3 02:33:02 main-menu[329]: INFO: Falling back to the package description for crypto-modules-3.2.0-3-amd64-di
Oct  3 02:33:02 main-menu[329]: INFO: Falling back to the package description for crypto-modules-3.2.0-3-amd64-di
Oct  3 02:33:02 netcfg[1661]: INFO: Starting netcfg v.1.95 (built 20120928-2118)
Oct  3 02:33:02 netcfg[1661]: WARNING **: Couldn't read Wpasupplicant pid file, not trying to kill.
Oct  3 02:33:02 netcfg[1661]: INFO: Activating interface eth0
Oct  3 02:33:02 kernel: [11355.786461] ADDRCONF(NETDEV_UP): eth0: link is not ready
Oct  3 02:33:04 kernel: [11358.172480] igb: eth0 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: RX/TX
Oct  3 02:33:04 kernel: [11358.174162] ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
Oct  3 02:33:10 netcfg[1661]: INFO: Waiting time set to 35
Oct  3 02:33:11 netcfg[1661]: INFO: ethtool-lite: eth0 is connected.
Oct  3 02:33:11 netcfg[1661]: INFO: Found link on eth0
Oct  3 02:33:11 netcfg[1661]: INFO: found link on interface eth0, making it the default.
Oct  3 02:33:11 netcfg[1661]: INFO: Could not find valid BOOTIF= entry in /proc/cmdline
Oct  3 02:33:11 netcfg[1661]: INFO: Taking down interface eth0
Oct  3 02:33:11 netcfg[1661]: INFO: Taking down interface eth1
Oct  3 02:34:15 netcfg[1661]: INFO: Taking down interface lo
Oct  3 02:34:15 netcfg[1661]: INFO: Taking down interface lo
Oct  3 02:34:15 netcfg[1661]: INFO: Activating interface eth0
Oct  3 02:34:15 netcfg[1661]: INFO: executing: ip addr add 149.20.4.201/27 broadcast 149.20.4.223 dev eth0
Oct  3 02:34:15 kernel: [11429.052333] ADDRCONF(NETDEV_UP): eth0: link is not ready
Oct  3 02:34:17 kernel: [11431.320512] igb: eth0 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: RX/TX
Oct  3 02:34:17 kernel: [11431.322071] ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
Oct  3 02:34:18 netcfg[1661]: INFO: Waiting time set to 35
Oct  3 02:34:18 netcfg[1661]: INFO: ethtool-lite: eth0 is connected.
Oct  3 02:34:18 netcfg[1661]: INFO: Found link on eth0
Oct  3 02:34:18 netcfg[1661]: ARPING to 149.20.4.193 from 149.20.4.201 via eth0
Oct  3 02:34:18 netcfg[1661]: Unicast reply from 149.20.4.193 [6c:9c:ed:65:94:d2] 0.476ms
Oct  3 02:34:18 netcfg[1661]: Sent 1 probe(s) (1 broadcast(s))
Oct  3 02:34:18 netcfg[1661]: Received 1 replies (0 request(s), 0 broadcast(s))
Oct  3 02:34:18 netcfg[1661]: INFO: Gateway reachable on eth0
Oct  3 02:34:18 netcfg[1661]: DEBUG: Getting default hostname from rDNS lookup of static-configured address 149.20.4.201
Oct  3 02:34:18 netcfg[1661]: DEBUG: pao1ks1.sie.isc.org is a valid FQDN
Oct  3 02:34:18 netcfg[1661]: DEBUG: We have a real FQDN
Oct  3 02:34:18 netcfg[1661]: DEBUG: Preseeding domain as well: sie.isc.org
Oct  3 02:34:23 netcfg[1661]: DEBUG: No interface given; clearing /etc/network/interfaces
Oct  3 02:34:23 netcfg[1661]: DEBUG: Writing informative header
Oct  3 02:34:23 netcfg[1661]: DEBUG: Success!
Oct  3 02:34:23 netcfg[1661]: DEBUG: Writing loopback interface
Oct  3 02:34:23 netcfg[1661]: DEBUG: Success!
Oct  3 02:34:23 netcfg[1661]: DEBUG: Writing static IPv4 stanza for eth0
Oct  3 02:34:23 netcfg[1661]: INFO: Detected eth0 as a hotpluggable device
Oct  3 02:34:23 netcfg[1661]: DEBUG: Success!
Oct  3 02:34:23 main-menu[329]: DEBUG: resolver (libc6-udeb): package doesn't exist (ignored)
Oct  3 02:34:25 main-menu[329]: INFO: Menu item 'choose-mirror' selected
Oct  3 02:34:25 anna-install: Queueing udeb apt-mirror-setup for later installation
Oct  3 02:34:28 kernel: [11441.968005] eth0: no IPv6 routers present


-- 
Robert Edmonds
edmonds@debian.org



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#689474; Package netcfg. (Thu, 04 Oct 2012 00:09:03 GMT) Full text and rfc822 format available.

Message #27 received at 689474@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Robert Edmonds <edmonds@debian.org>, 689474@bugs.debian.org
Subject: Re: Bug#689474: debian-installer: garbage in /etc/network/interfaces
Date: Thu, 4 Oct 2012 02:04:45 +0200
[Message part 1 (text/plain, inline)]
On Wed, Oct 03, 2012 at 12:23:17AM -0400, Robert Edmonds wrote:
> i'd guess there's a buffer somewhere in netcfg that's not getting
> properly filled.

Indeed, thanks for the report. I see the issue, maybe it got lost in the
rebasing efforts. (Two nameserver variables exist and one of them
is populated and the other passed to the writeout function.)

Did you preseed the nameservers value?

Kind regards
Philipp Kern
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#689474; Package netcfg. (Thu, 04 Oct 2012 17:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Edmonds <edmonds@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 04 Oct 2012 17:30:03 GMT) Full text and rfc822 format available.

Message #32 received at 689474@bugs.debian.org (full text, mbox):

From: Robert Edmonds <edmonds@debian.org>
To: Philipp Kern <pkern@debian.org>
Cc: 689474@bugs.debian.org
Subject: Re: Bug#689474: debian-installer: garbage in /etc/network/interfaces
Date: Thu, 4 Oct 2012 13:27:22 -0400
[Message part 1 (text/plain, inline)]
Philipp Kern wrote:
> Did you preseed the nameservers value?

no, i typed it in when doing manual network configuration in d-i.

-- 
Robert Edmonds
edmonds@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#689474; Package netcfg. (Thu, 04 Oct 2012 20:27:06 GMT) Full text and rfc822 format available.

Message #35 received at 689474@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Robert Edmonds <edmonds@debian.org>, 689474@bugs.debian.org
Cc: kibi@debian.org
Subject: Re: Bug#689474: debian-installer: garbage in /etc/network/interfaces
Date: Thu, 4 Oct 2012 22:25:35 +0200
[Message part 1 (text/plain, inline)]
On Thu, Oct 04, 2012 at 02:04:45AM +0200, Philipp Kern wrote:
> On Wed, Oct 03, 2012 at 12:23:17AM -0400, Robert Edmonds wrote:
> > i'd guess there's a buffer somewhere in netcfg that's not getting
> > properly filled.
> Indeed, thanks for the report. I see the issue, maybe it got lost in the
> rebasing efforts. (Two nameserver variables exist and one of them
> is populated and the other passed to the writeout function.)

Ok. So Ubuntu already fixed this and I applied the change to our
repository.

@Cyril: This would certainly be errata-worthy, I think. I also wonder
if it's critical. If a nameserver is statically configured, crap goes into
/etc/network/interfaces. That crap will, however, only be used if resolvconf
gets installed into the target system. And I don't know when that happens.
DHCP is not affected.

Kind regards
Philipp Kern
[signature.asc (application/pgp-signature, inline)]

Reply sent to Philipp Kern <pkern@debian.org>:
You have taken responsibility. (Thu, 04 Oct 2012 20:51:11 GMT) Full text and rfc822 format available.

Notification sent to Robert Edmonds <edmonds@debian.org>:
Bug acknowledged by developer. (Thu, 04 Oct 2012 20:51:11 GMT) Full text and rfc822 format available.

Message #40 received at 689474-close@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: 689474-close@bugs.debian.org
Subject: Bug#689474: fixed in netcfg 1.96
Date: Thu, 04 Oct 2012 20:48:49 +0000
Source: netcfg
Source-Version: 1.96

We believe that the bug you reported is fixed in the latest version of
netcfg, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 689474@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Philipp Kern <pkern@debian.org> (supplier of updated netcfg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 04 Oct 2012 22:38:34 +0200
Source: netcfg
Binary: netcfg netcfg-static
Architecture: source amd64
Version: 1.96
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Philipp Kern <pkern@debian.org>
Description: 
 netcfg     - Configure the network (udeb)
 netcfg-static - Configure a static network (udeb)
Closes: 689474
Changes: 
 netcfg (1.96) unstable; urgency=low
 .
   [ Philipp Kern ]
   * Makefile: set DEB_HOST_ARCH{,_OS} conditionally
   * autoconfig.c: kill dhcp6c after timeout unless a lease is obtained
   * Fix the dns- entries in /etc/network/interfaces. (Closes: #689474)
     Patch by Matthew L. Dailey.
   * Run the test suite during build.
 .
   [ Christian Perrier ]
   * [l10n] Drop use of sublevel 6 and move "recently" added
     strings to the sublevel they pertain to.
 .
   [ Samuel Thibault ]
   * Fix ethtool-lite hurd-i386 build.
 .
   [ Updated translations ]
   * Hindi (hi.po) by Kumar Appaiah
   * Marathi (mr.po) by sampada
Checksums-Sha1: 
 2448440094bc06055a696b03c78d2350ff31355a 1478 netcfg_1.96.dsc
 e322c43651c1743550ea0365836cdbe4ef6540e6 744610 netcfg_1.96.tar.gz
 15d4931c4f4d1208663caa83356f3c3d485e1f36 407460 netcfg_1.96_amd64.udeb
 3773bccf1caa3235307a22c4ac6e95619a754536 318174 netcfg-static_1.96_amd64.udeb
Checksums-Sha256: 
 1a1b18cb427056cc047923447f84d101bdec4966b461e197c0aab17765a4bc72 1478 netcfg_1.96.dsc
 6c4ce7ff21eb94edf93413bb696c92c5a92e2e62bc5d6724cb65065448d12e15 744610 netcfg_1.96.tar.gz
 b037720b116b89f5e645b4fd20527f22f75a430ebe58895cc1147ddd59a1f456 407460 netcfg_1.96_amd64.udeb
 bb40f6e1bcd5798f7a83a83317744866429ffca83d3fbdb4afa081eb5a560596 318174 netcfg-static_1.96_amd64.udeb
Files: 
 7b43a3d6b6a5f115965dc32edad32398 1478 debian-installer optional netcfg_1.96.dsc
 06a9da928431336d7e39680076b91737 744610 debian-installer optional netcfg_1.96.tar.gz
 f0e28fa2cab07e819d2508c3d9ca2872 407460 debian-installer optional netcfg_1.96_amd64.udeb
 0c1424dd09a3e24e39fa8cfc1aea043b 318174 debian-installer optional netcfg-static_1.96_amd64.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBCAAGBQJQbfPkAAoJEERuJUU10FbspAIIAJmpoBnxLB0SawrvW4qo4zUl
OIUHxjrO6UQr8EWLKJgo+iWjRleWaBvf6IK4wSocJluYl7JVq1gch69G9yn4DGLP
jDo5yEhHeNzsyz+wedjGGphHLM7R8rFmIT/qLOg7sG8Ky8v3sHy65FgZCMQlBn+E
EpCdKtnmS6Ti3CfY1VmX2uCLNlw7zmymU4EoScs+2U3quM8w0wh1AxAcPv0ZfN6R
fjE7Ff88mw/ZVU9zpFY0NQdAQ+mSBKUK2/Jxtkuto6fLRSmJwOpJO8JUGgPgU9cS
VNJGLU00E7+QLIfPIurM0TZsincCRa4BgT+vuabfcnOB5VTCl4VIkRGzcyraDlg=
=DOCL
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 13 May 2013 07:28:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:36:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.